L4Re build error

Slex Sangiuliano alex22_7 at hotmail.com
Sun Jun 19 17:52:03 CEST 2011


I have linked in this way (in /usr/bin):
ln -s g++-4.5 g++
ln -s cpp-4.5 cpp
ln -s gcc-4.5 gcc 
(i have previously removed the links to gcc-45, g++-4.5 and cpp-4.5)

but the error is the same:

In file included from /home/alex/l4env/include/contrib/libstdc++-v3/bits/stl_algobase.h:71:0,
                 from /home/alex/l4env/include/contrib/libstdc++-v3/memory:53,
                 from /home/alex/src/l4/pkg/libstdc++-v3/contrib/libstdc++-v3-4.1.0/src/allocator-inst.cc:34:
/home/alex/l4env/include/contrib/libstdc++-v3/bits/cpp_type_traits.h:358:12: error: expected identifier before ‘__is_pod’
/home/alex/l4env/include/contrib/libstdc++-v3/bits/cpp_type_traits.h:358:12: error: expected unqualified-id before ‘__is_pod’
/home/alex/l4env/include/contrib/libstdc++-v3/bits/cpp_type_traits.h:371:12: error: expected identifier before ‘__is_empty’
/home/alex/l4env/include/contrib/libstdc++-v3/bits/cpp_type_traits.h:371:12: error: expected unqualified-id before ‘__is_empty’
make[4]: Entering directory `/home/alex/src/l4/pkg/drivers-frst/nand/src'
In file included from /home/alex/l4env/include/contrib/libstdc++-v3/memory:60:0,
                 from /home/alex/src/l4/pkg/libstdc++-v3/contrib/libstdc++-v3-4.1.0/src/allocator-inst.cc:34:
/home/alex/l4env/include/contrib/libstdc++-v3/limits:1067:9: error: a cast to a type other than an integral or enumeration type cannot appear in a constant-expression
/home/alex/l4env/include/contrib/libstdc++-v3/limits:1080:51: error: ‘std::numeric_limits<double>::is_iec559’ cannot be initialized by a non-constant expression when being declared
make[5]: *** [allocator-inst.o] Error 1

now gcc -v says 4.5.3

> Date: Sun, 19 Jun 2011 17:15:09 +0200
> From: adam at os.inf.tu-dresden.de
> To: alex22_7 at hotmail.com
> Subject: Re: L4Re build error
> 
> 
> On Sun Jun 19, 2011 at 14:52:43 +0000, Slex Sangiuliano wrote:
> > 
> > more information:
> > Platform x86 (pentium D, but in config i choose i686)
> > I'm building on 32 bit enviroment (Debian Wheezy,
> > the error occurs also on Fedora 15, in FreeBSD 8.2 i get another kind
> > of error during gmake O=/home/alex/build config).
> > On Debian the
> > version of gcc is  4.6.1. (On FreeBSD 4.2.1). I prefer to build on
> > Debian, so it, for now, is the  reference system.
> > Thank you again
> > 
> > P.S: I sent this message after my first message, but for network problem, now solved, it never comes
> > So after that i read your response i add another question: I need a specific compiler? if yes what is the best Operating System that has that compiler?
> 
> Ah, 4.6 explains it. 4.6 will be support on the next release. For now
> 4.5 will do, which is also available on wheezy.
> 
> 
> 
> Adam
> -- 
> Adam                 adam at os.inf.tu-dresden.de
>   Lackorzynski         http://os.inf.tu-dresden.de/~adam/
 		 	   		  
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://os.inf.tu-dresden.de/pipermail/l4-hackers/attachments/20110619/f31114ad/attachment.html>


More information about the l4-hackers mailing list